/* 
  ==================================================
    Promo section feature
  --------------------------------------------------
    Dependencies:
      - variables
  ==================================================
*/

  .promo {
    &--section {
      background: url('@{imagePath}promo/01.jpg') no-repeat scroll center / cover;
      position: relative;
      display: flex;
      align-items: center;
      &:before {
        content: '';
        position: absolute;
        z-index: 1;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
      }
      @{wrapperClass} {
        position: relative;
        z-index: 2;
      }
      @media screen {
        @media (min-width: 961px) {
          &:before {
            background: linear-gradient(to right, lighten(@cGray, 20%) 0%, lighten(@cGray, 20%) 30%, fade(lighten(@cGray, 20%), 90%) 50%, fade(lighten(@cGray, 20%), 30%) 100%);
          }
        }
        @media (max-width: 960px) {
          &:before {
            background: linear-gradient(to right, lighten(@cGray, 20%) 0%, lighten(@cGray, 20%) 30%, fade(lighten(@cGray, 20%), 90%) 50%, fade(lighten(@cGray, 20%), 90%) 100%);
          }
        }
        @media (min-width: 641px) {
          min-height: 50vh;
        }
      }
    }
  }
